| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::wrapperlib Class Reference
Private

this class encapsulates calls to libz or libbz2 More...

`#include <wrapperlib.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| wrapperlib (wrapperlib_mode mode)
| wrapperlib (const wrapperlib &ref)
const wrapperlib & | operator= (const wrapperlib &ref)
void | set_next_in (const char *x)
void | set_avail_in (U_I x)
U_I | get_avail_in () const
U_64 | get_total_in () const
void | set_next_out (char *x)
char * | get_next_out () const
void | set_avail_out (U_I x)
U_I | get_avail_out () const
U_64 | get_total_out () const
S_I | compressInit (U_I compression_level)
S_I | decompressInit ()
S_I | compressEnd ()
S_I | decompressEnd ()
S_I | compress (S_I flag)
S_I | decompress (S_I flag)
S_I | compressReset ()
S_I | decompressReset ()
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

this class encapsulates calls to libz or libbz2

this is mainly an adaptation of libbz2 specificities to have libb2 acting exactly as libz does.

Definition at line 77 of file wrapperlib.hpp.

The documentation for this class was generated from the following file:

- wrapperlib.hpp